---
schema_version: "1"
id: 84b8c9c6585a50d5dd2b76b70669b88bbf81585c82e728edc25262c65d0636d4
title: GET /platform/v1/ens-subscriptions-by-cb/{callbackId}
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/getAllSubscriptionsForCallback.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_event_notification/getAllSubscriptionsForCallback.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 1e04bbd332a52d7b29260f63a798e5829e14087bfe81974c7925d1935a25cb07
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /platform/v1/ens-subscriptions-by-cb/{callbackId}

## Overview

Retrieves details for all subscriptions associated with a callback.

### URL Parameters

<!--complex table-->

| Name           | Type   |              | Description                        |
| -------------- | ------ | ------------ | ---------------------------------- |
| **callbackId** | string | **Required** | Unique identifier of the callback. |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /platform/v1/ens-subscriptions-by-cb/65b885ab-c2b4-46fe-85d0-d6cb8be8057d
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```js
HTTP/1.1 200 Success
[{
    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
    "callbackName": "cbName",
    "url": "https://example.com/",
    "maxBatchSize": 1000,
    "subscriptionId": "d89c87c4-70f8-43d6-be1e-f01dce97fe4c",
    "subscriptionName": "subscriptionName",
    "eventCategoryTypes": ["TransactionalSendEvents.EmailNotSent",
    "TransactionalSendEvents.EmailSent"],
    "filters": ["definitionKey=12345"],
    "status": "active",
    "statusReason": ""
  },
{
    "callbackId": "65b885ab-c2b4-46fe-85d0-d6cb8be8057d",
    "callbackName": "cbName",
    "url": "https://example.com/",
    "maxBatchSize": 1000,
    "subscriptionId": "55afe59f-8d20-46fd-a2d1-ff01453abe90",
    "subscriptionName": "subscriptionName2",
    "eventCategoryTypes": ["TransactionalOpenEvents.EmailOpen",
    "TransactionalOpenEvents.EmailNotOpen"],
    "filters": ["definitionKey=12345"],
    "status": "active",
    "statusReason": ""
  }]
```

### HTTP Responses

| Response         | Reason                                  |
| ---------------- | --------------------------------------- |
| 200 Success      | Callback subscriptions retrieved.       |
| 400 Bad Request  | Invalid request                         |
| 403 Forbidden    | Failed to pass authorization.           |
| 404 Not Found    | Callback ID doesn’t exist for this MID. |
| 500 Server Error | Internal error                          |

## See Also

- [Event Notification Service](/docs/marketing/marketing-cloud/guide/ens.html)
